id: wordpress-force-regenerate-thumbnails

info:
  name: Force Regenerate Thumbnails Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/force-regenerate-thumbnails/
  metadata:
    plugin_namespace: force-regenerate-thumbnails
    wpscan: https://wpscan.com/plugin/force-regenerate-thumbnails
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/force-regenerate-thumbnails/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/force-regenerate-thumbnails.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a004630440220454b2ad519fa90a50ea0dec30bec1c603d4114d85802d2f4c8125362d3f060f002202a9d94c0e1bb1421d68ca917faa0b23ef6c4112857ad2c7e63883540d03d93ea:922c64590222798bb761d5b6d8e72950